org.apache.commons.codec

## Interface StringDecoder

- All Superinterfaces:
    Decoder
  All Known Implementing Classes:
    BCodec, QCodec, QuotedPrintableCodec, URLCodec

      public interface StringDecoder
      extends Decoder

  Defines common decoding methods for String decoders.
  Version:
    $Id: StringDecoder.java 1379145 2012-08-30 21:02:52Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decode(String source)` Decodes a String and returns a String.

    - ### Methods inherited from interface org.apache.commons.codec.Decoder

      `decode`

- - ### Method Detail

    - #### decode

          String decode(String source)
                        throws DecoderException

      Decodes a String and returns a String.
      Parameters:
        `source` - the String to decode
      Returns:
        the encoded String
      Throws:
        `DecoderException` - thrown if there is an error condition during the Encoding process.

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.